# Created by pyp2rpm-3.3.2
%global pypi_name flake8-bugbear

Name:           python-%{pypi_name}
Version:        19.8.0
Release:        %mkrel 3
Summary:        A plugin for flake8 finding likely bugs and design problems in your program
Group:          Development/Python
License:        MIT
URL:            https://github.com/PyCQA/flake8-bugbear
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         failing-test.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(flake8) >= 3.0.0
BuildRequires:  python3dist(setuptools)

%description
A plugin for Flake8 finding likely bugs and design problems in your program.
Contains warnings that don’t belong in pyflakes and pycodestyle.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(attrs)
Requires:       python3dist(flake8) >= 3.0.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for Flake8 finding likely bugs and design problems in your program.
Contains warnings that don’t belong in pyflakes and pycodestyle.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/bugbear.py
%{python3_sitelib}/flake8_bugbear-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 19.8.0-3.mga8
+ Revision: 1531760
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 wally <wally> 19.8.0-2.mga8
+ Revision: 1440901
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 19.8.0-1.mga8
+ Revision: 1429841
- imported package python-flake8-bugbear

